
From: Geert Uytterhoeven <geert@linux-m68k.org>

NCR53C9x SCSI: Kill bogus inline



---

 25-akpm/drivers/scsi/NCR53C9x.h |    3 +--
 25-akpm/drivers/scsi/mac_esp.c  |    2 +-
 2 files changed, 2 insertions(+), 3 deletions(-)

diff -puN drivers/scsi/mac_esp.c~68k-384 drivers/scsi/mac_esp.c
--- 25/drivers/scsi/mac_esp.c~68k-384	Thu Jan  8 15:37:41 2004
+++ 25-akpm/drivers/scsi/mac_esp.c	Thu Jan  8 15:37:41 2004
@@ -46,7 +46,7 @@
 #define mac_turnon_irq(x)	mac_enable_irq(x)
 #define mac_turnoff_irq(x)	mac_disable_irq(x)
 
-extern inline void esp_handle(struct NCR_ESP *esp);
+extern void esp_handle(struct NCR_ESP *esp);
 extern void mac_esp_intr(int irq, void *dev_id, struct pt_regs *pregs);
 
 static int  dma_bytes_sent(struct NCR_ESP * esp, int fifo_count);
diff -puN drivers/scsi/NCR53C9x.h~68k-384 drivers/scsi/NCR53C9x.h
--- 25/drivers/scsi/NCR53C9x.h~68k-384	Thu Jan  8 15:37:41 2004
+++ 25-akpm/drivers/scsi/NCR53C9x.h	Thu Jan  8 15:37:41 2004
@@ -652,8 +652,7 @@ extern int nesps, esps_in_use, esps_runn
 
 
 /* External functions */
-extern inline void esp_cmd(struct NCR_ESP *esp, struct ESP_regs *eregs,
-			   unchar cmd);
+extern void esp_cmd(struct NCR_ESP *esp, struct ESP_regs *eregs, unchar cmd);
 extern struct NCR_ESP *esp_allocate(Scsi_Host_Template *, void *);
 extern void esp_deallocate(struct NCR_ESP *);
 extern void esp_release(void);

_
